PageRenderer.PageRenderResponse (Grails 2.3.0.M1)
Date: 2013-05-09

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.gsp
[Groovy] Class PageRenderer.PageRenderResponse

    java.lang.Object
      grails.gsp.PageRenderer.PageRenderResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse

    class PageRenderer.PageRenderResponse

Property Summary
`int` | `bufferSize`
`java.lang.String` | `characterEncoding`
`java.lang.String` | `contentType`
`java.util.Locale` | `locale`
`java.io.PrintWriter` | `writer`

Constructor Summary
`PageRenderer.PageRenderResponse(java.io.PrintWriter writer)`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long date)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String name, int value)`
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)`
`java.lang.String` | `encodeUrl(java.lang.String url)`
`void` | `flushBuffer()`
`java.lang.String` | `getHeader(java.lang.String name)`
`java.util.Collection` | `getHeaderNames()`
`java.util.Collection` | `getHeaders(java.lang.String name)`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`int` | `getStatus()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int sc, java.lang.String msg)`
`void` | `sendError(int sc)`
`void` | `sendRedirect(java.lang.String location)`
`void` | `setContentLength(int len)`
`void` | `setDateHeader(java.lang.String name, long date)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setStatus(int sc)`
`void` | `setStatus(int sc, java.lang.String sm)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### bufferSize

    int bufferSize

### characterEncoding

    java.lang.String characterEncoding

### contentType

    java.lang.String contentType

### locale

    java.util.Locale locale

### writer

    java.io.PrintWriter writer

Constructor Detail

### PageRenderer.PageRenderResponse

    PageRenderer.PageRenderResponse(java.io.PrintWriter writer)

Method Detail

### addCookie

    void addCookie(javax.servlet.http.Cookie cookie)

### addDateHeader

    void addDateHeader(java.lang.String name, long date)

### addHeader

    void addHeader(java.lang.String name, java.lang.String value)

### addIntHeader

    void addIntHeader(java.lang.String name, int value)

### containsHeader

    boolean containsHeader(java.lang.String name)

### encodeRedirectURL

    java.lang.String encodeRedirectURL(java.lang.String url)

### encodeRedirectUrl

    java.lang.String encodeRedirectUrl(java.lang.String url)

### encodeURL

    java.lang.String encodeURL(java.lang.String url)

### encodeUrl

    java.lang.String encodeUrl(java.lang.String url)

### flushBuffer

    void flushBuffer()

### getHeader

    java.lang.String getHeader(java.lang.String name)

### getHeaderNames

    java.util.Collection getHeaderNames()

### getHeaders

    java.util.Collection getHeaders(java.lang.String name)

### getOutputStream

    javax.servlet.ServletOutputStream getOutputStream()

### getStatus

    int getStatus()

### isCommitted

    boolean isCommitted()

### reset

    void reset()

### resetBuffer

    void resetBuffer()

### sendError

    void sendError(int sc, java.lang.String msg)

### sendError

    void sendError(int sc)

### sendRedirect

    void sendRedirect(java.lang.String location)

### setContentLength

    void setContentLength(int len)

### setDateHeader

    void setDateHeader(java.lang.String name, long date)

### setHeader

    void setHeader(java.lang.String name, java.lang.String value)

### setIntHeader

    void setIntHeader(java.lang.String name, int value)

### setStatus

    void setStatus(int sc)

### setStatus

    void setStatus(int sc, java.lang.String sm)

Groovy Documentation